org.apache.http.cookie

## Class CookieIdentityComparator

- java.lang.Object
- - org.apache.http.cookie.CookieIdentityComparator

- All Implemented Interfaces:
    Serializable, Comparator<Cookie>

      @Contract(threading=IMMUTABLE)
      public class CookieIdentityComparator
      extends Object
      implements Serializable, Comparator<Cookie>

  This cookie comparator can be used to compare identity of cookies.

  Cookies are considered identical if their names are equal and their domain attributes match ignoring case.

  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieIdentityComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Cookie c1, Cookie c2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### CookieIdentityComparator

          public CookieIdentityComparator()

  - ### Method Detail

    - #### compare

          public int compare(Cookie c1,
                    Cookie c2)

      Specified by:
        `compare` in interface `Comparator<Cookie>`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.